import { HttpClient } from '@wix/sdk-types';
import { ConnectedDomainSetupInfo, ConnectedDomainSetupInfoNonNullableFields } from './premium-domains-v1-connected-domain-setup-info-connected-domain-setup-info.universal.js';
export declare const __metadata: {
    PACKAGE_NAME: string;
};
export declare function getConnectedDomainSetupInfo(httpClient: HttpClient): GetConnectedDomainSetupInfoSignature;
interface GetConnectedDomainSetupInfoSignature {
    /**
     * Retrieves information for the initial setup of a connected domain.
     *
     *
     * You must pass the relevant Wix account ID in the header of the call.
     *
     * > __Important:__ This call requires an account level API key and cannot be authenticated with the standard authorization header.
     * @param - ID of the connected domain to retrieve setup information for.
     * Identical to the domain name including TLD.
     * @returns Retrieved setup information.
     */
    (connectedDomainId: string): Promise<ConnectedDomainSetupInfo & ConnectedDomainSetupInfoNonNullableFields>;
}
export { ARecord, CnameRecord, ConnectedDomainSetupInfo, ConnectedDomainSetupInfoDnsRecordsOneOf, ConnectedDomainSetupInfoNonNullableFields, ConnectionType, GetConnectedDomainSetupInfoRequest, GetConnectedDomainSetupInfoResponse, GetConnectedDomainSetupInfoResponseNonNullableFields, GetSetupInfoRequest, GetSetupInfoResponse, NameserverRecord, NsRecord, PointingRecords, PreCreateConnectedDomainRequest, PreCreateConnectedDomainResponse, Registrar, SubdomainRecords, } from './premium-domains-v1-connected-domain-setup-info-connected-domain-setup-info.universal.js';
