"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getConnectedDomainSetupInfo = exports.ConnectionType = void 0;
const transform_error_1 = require("@wix/sdk-runtime/transform-error");
const rename_all_nested_keys_1 = require("@wix/sdk-runtime/rename-all-nested-keys");
const ambassadorWixPremiumDomainsV1ConnectedDomainSetupInfo = __importStar(require("./premium-domains-v1-connected-domain-setup-info-connected-domain-setup-info.http.js"));
var ConnectionType;
(function (ConnectionType) {
    /** Used by sub domain */
    ConnectionType["UNKNOWN_CONNECTION_TYPE"] = "UNKNOWN_CONNECTION_TYPE";
    ConnectionType["POINTING"] = "POINTING";
    ConnectionType["NAMESERVERS"] = "NAMESERVERS";
    /**
     * internal used by photography company.
     * when a customer creates a photo album, each album has its sub domain and this sub domain
     * is not visible in my domains page.
     */
    ConnectionType["HIDDEN"] = "HIDDEN";
})(ConnectionType || (exports.ConnectionType = ConnectionType = {}));
/**
 * Retrieves information for the initial setup of a connected domain.
 *
 *
 * You must pass the relevant Wix account ID in the header of the call.
 *
 * > __Important:__ This call requires an account level API key and cannot be authenticated with the standard authorization header.
 * @param connectedDomainId - ID of the connected domain to retrieve setup information for.
 * Identical to the domain name including TLD.
 * @public
 * @requiredField connectedDomainId
 * @permissionId DOMAINS.READ_CONNECTED_DOMAINS
 * @returns Retrieved setup information.
 * @fqn com.wixpress.premium.domain.connected.ConnectedDomainSetupInfoService.GetConnectedDomainSetupInfo
 */
async function getConnectedDomainSetupInfo(connectedDomainId) {
    // @ts-ignore
    const { httpClient, sideEffects } = arguments[1];
    const payload = (0, rename_all_nested_keys_1.renameKeysFromSDKRequestToRESTRequest)({
        connectedDomainId: connectedDomainId,
    });
    const reqOpts = ambassadorWixPremiumDomainsV1ConnectedDomainSetupInfo.getConnectedDomainSetupInfo(payload);
    sideEffects?.onSiteCall?.();
    try {
        const result = await httpClient.request(reqOpts);
        sideEffects?.onSuccess?.(result);
        return (0, rename_all_nested_keys_1.renameKeysFromRESTResponseToSDKResponse)(result.data)
            ?.connectedDomainSetupInfo;
    }
    catch (err) {
        const transformedError = (0, transform_error_1.transformError)(err, {
            spreadPathsToArguments: {},
            explicitPathsToArguments: { connectedDomainId: '$[0]' },
            singleArgumentUnchanged: false,
        }, ['connectedDomainId']);
        sideEffects?.onError?.(err);
        throw transformedError;
    }
}
exports.getConnectedDomainSetupInfo = getConnectedDomainSetupInfo;
//# sourceMappingURL=premium-domains-v1-connected-domain-setup-info-connected-domain-setup-info.universal.js.map