import { toURLSearchParams } from '@wix/sdk-runtime/rest-modules';
import { resolveUrl } from '@wix/sdk-runtime/rest-modules';
function resolveComWixpressPremiumDomainConnectedConnectedDomainSetupInfoServiceUrl(opts) {
    const domainToMappings = {
        'www.wixapis.com': [
            {
                srcPath: '/domains/v1/connected-domains',
                destPath: '/v1/connected-domains',
            },
            {
                srcPath: '/domains/v1/connected-domain-setup-info',
                destPath: '/v1/connected-domain-setup-info',
            },
            {
                srcPath: '/v1/domain-setup-info',
                destPath: '/v1/domain-setup-info',
            },
        ],
        'manage._base_domain_': [
            {
                srcPath: '/v1/connected-domains',
                destPath: '/v1/connected-domains',
            },
            {
                srcPath: '/v1/connected-domain-setup-info',
                destPath: '/v1/connected-domain-setup-info',
            },
            {
                srcPath: '/v1/domain-setup-info',
                destPath: '/v1/domain-setup-info',
            },
        ],
        'www._base_domain_': [
            {
                srcPath: '/v1/connected-domains',
                destPath: '/v1/connected-domains',
            },
            {
                srcPath: '/v1/connected-domain-setup-info',
                destPath: '/v1/connected-domain-setup-info',
            },
            {
                srcPath: '/v1/domain-setup-info',
                destPath: '/v1/domain-setup-info',
            },
        ],
        'premium._base_domain_': [
            {
                srcPath: '/v1/connected-domains',
                destPath: '/v1/connected-domains',
            },
            {
                srcPath: '/v1/connected-domain-setup-info',
                destPath: '/v1/connected-domain-setup-info',
            },
            {
                srcPath: '/v1/domain-setup-info',
                destPath: '/v1/domain-setup-info',
            },
        ],
    };
    return resolveUrl(Object.assign(opts, { domainToMappings }));
}
const PACKAGE_NAME = '@wix/domains_connected-domain-setup-info';
/**
 * Retrieves information for the initial setup of a connected domain.
 *
 *
 * You must pass the relevant Wix account ID in the header of the call.
 *
 * > __Important:__ This call requires an account level API key and cannot be authenticated with the standard authorization header.
 */
export function getConnectedDomainSetupInfo(payload) {
    function __getConnectedDomainSetupInfo({ host }) {
        const metadata = {
            entityFqdn: 'wix.premium.domains.v1.connected_domain_setup_info',
            method: 'GET',
            methodFqn: 'com.wixpress.premium.domain.connected.ConnectedDomainSetupInfoService.GetConnectedDomainSetupInfo',
            packageName: PACKAGE_NAME,
            url: resolveComWixpressPremiumDomainConnectedConnectedDomainSetupInfoServiceUrl({
                protoPath: '/v1/connected-domain-setup-info/{connectedDomainId}',
                data: payload,
                host,
            }),
            params: toURLSearchParams(payload),
        };
        return metadata;
    }
    return __getConnectedDomainSetupInfo;
}
//# sourceMappingURL=premium-domains-v1-connected-domain-setup-info-connected-domain-setup-info.http.js.map